public class EmptyListException extends RuntimeException 
{     
   // constructors
     public EmptyListException()
     {
       this( "List" );   // roept de constructor met één 
       // parameter, van deze klasse, op
     }
    
     public EmptyListException( String name )
     {
         super( name + " is empty" );  // roept de 
         // constructor van zijn superklasse op
     }
} // einde klasse EmptyListException